%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear:       %global __pear %{_bindir}/pear}
%global pear_name Services_Weather

Name:           php-pear-Services-Weather
Version:        1.4.7
Release:        2%{?dist}
Summary:        This class acts as an interface to various online weather-services

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/Services_Weather
# Fix corrupted archive
# tar xif Services_Weather-1.4.7.tgz
# tar czf Services_Weather-1.4.7.tgz package.xml Services_Weather-1.4.7
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-pear(HTTP_Request) >= 1.2.0
Requires:       php-pear(Net_FTP) >= 1.3.1
Requires:       php-pear(Cache) >= 1.5.3
Requires:       php-pear(DB) >= 1.4.0
Requires:       php-pear(SOAP) >= 0.7.5
Requires:       php-pear(XML_Serializer) >= 0.8

Provides:       php-pear(%{pear_name}) = %{version}


%description
Services_Weather searches for given locations and retrieves current
weather data and, dependent on the used service, also forecasts.
Up to now, GlobalWeather from CapeScience, Weather XML from EJSE (US
only), a XOAP service from Weather.com and METAR/TAF from NOAA are
supported. Further services will get included, if they become available, 
have a usable API and are properly documented.

%prep
%setup -q -c
%{_bindir}/php -n %{SOURCE2} package.xml >CHANGELOG

cd %{pear_name}-%{version}
# Package is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Make buildMetarDB.php working
sed -i -e s@/usr/local/bin/php@%{_bindir}/php@ $RPM_BUILD_ROOT%{pear_datadir}/%{pear_name}/buildMetarDB.php
chmod +x $RPM_BUILD_ROOT%{pear_datadir}/%{pear_name}/buildMetarDB.php


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Services
%{pear_datadir}/%{pear_name}


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 22 2012 Remi Collet <remi@fedoraproject.org> - 1.4.7-1
- update to 1.4.7 (QA release)

* Sun Aug 19 2012 Remi Collet <remi@fedoraproject.org> - 1.4.6-4
- rebuilt for new pear_datadir

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 12 2011 Remi Collet <Fedora@FamilleCollet.com> 1.4.6-1
- update to 1.4.6 (QA release)

* Tue Apr 26 2011 Remi Collet <Fedora@FamilleCollet.com> 1.4.5-4
- doc in /usr/share/doc/pear
- define timezone during build
- clean requires

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri May 14 2010 Remi Collet <Fedora@famillecollet.com> 1.4.5-2
- spec cleanup

* Thu Nov 05 2009 Remi Collet <Fedora@famillecollet.com> 1.4.5-1
- update to 1.4.5 (bugfix)
- rename Services_Weather.xml to php-pear-Services-Weather.xml

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 13 2009 Remi Collet <Fedora@famillecollet.com> 1.4.4-1
- update to 1.4.4 (bugfix)

* Sat May 17 2008 Remi Collet <Fedora@famillecollet.com> 1.4.3-1
- update to 1.4.3

* Sat Apr 21 2007 Remi Collet <Fedora@famillecollet.com> 1.4.2-1
- update to 1.4.2
- requires php-pear(PEAR) >= 1.4.0

* Sat Nov 18 2006 Remi Collet <Fedora@famillecollet.com> 1.4.0-2
- Unobfuscate sed command

* Sat Nov 04 2006 Remi Collet <Fedora@famillecollet.com> 1.4.0-1
- initial RPM (generated + cleanup)
- add genarated CHANGELOG
- fix buildMetarDB.php
